[Overview][Types][Classes][Index] | Reference for unit 'LazCanvas' (#lcl)

# TLazCanvas.destroy

Destructor for the class instance.

## Declaration

Source position: lazcanvas.pas line 122

`public destructor TLazCanvas.destroy; override;`

## Description

Destroy is the overridden destructor for the class instance. Destroy ensures that resources allocated for GraphicStateList, AssignedBrush, and AssignedPen are freed. Destroy calls the inherited destructor prior to exiting from the method.

## See also

TLazCanvas.AssignedBrush |  | Brush assigned to the canvas.
TLazCanvas.AssignedPen |  | Pen assigned to the canvas.